# 5.1. Errors

exception pathvalidate.error.ErrorReason(value)

  Bases: `enum.Enum`

  Validation error reasons.

  FOUND_ABS_PATH = 'FOUND_ABS_PATH'

    found an absolute path when expecting a file name

  INVALID_CHARACTER = 'INVALID_CHARACTER'

    found invalid characters(s) in a value

  INVALID_LENGTH = 'INVALID_LENGTH'

    found invalid string length

  MALFORMED_ABS_PATH = 'MALFORMED_ABS_PATH'

    found invalid absolute path format

  NULL_NAME = 'NULL_NAME'

    empty value

  RESERVED_NAME = 'RESERVED_NAME'

    found a reserved name by a platform

exception pathvalidate.error.ValidationError(*args, **kwargs)

  Bases: `ValueError`

  Exception class of validation errors.

  reason

    The cause of the error.

    Returns:

      `ErrorReason`: